Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.sm.jdbc
Interface JDBCStateManagerMBean

All Superinterfaces:
  AbstractStateManagerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  JDBCStateManager

public interface JDBCStateManagerMBean
extends AbstractStateManagerMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.management.ObjectName` | `getConnectionManager()`
`String` | `getSqlProperties()` Gets the sqlProperties.
`boolean` | `hasSecurityManager()`
`void` | `setConnectionManager(javax.management.ObjectName connectionManagerName)`
`void` | `setHasSecurityManager(boolean hasSecurityManager)`
`void` | `setSqlProperties(String value)` Sets the sqlProperties.

Methods inherited from interface org.jboss.mq.sm.AbstractStateManagerMBean
`getInstance`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getConnectionManager

    public javax.management.ObjectName getConnectionManager()

### setConnectionManager

    public void setConnectionManager(javax.management.ObjectName connectionManagerName)

### hasSecurityManager

    public boolean hasSecurityManager()

### setHasSecurityManager

    public void setHasSecurityManager(boolean hasSecurityManager)

### getSqlProperties

    public String getSqlProperties()

  Gets the sqlProperties.

  Returns:
    Returns a Properties

### setSqlProperties

    public void setSqlProperties(String value)

  Sets the sqlProperties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.